We want your feedback: take the 2023 annual survey and help us improve napari for you and the community!

napari-mouse-controls

napari-mouse-controls

Control napari using a touch screen

License PyPI Python Version tests codecov napari hub

Control zoom, slicing and contrast windowing with mouse and touch screen


Usage

You find the mouse control panel in the menu Tools > Utilities > Mouse controls

Zoom

After clicking the Zoom button , you can click in the napari canvas and move the mouse up and down to zoom in and out.

Slicing

After clicking the Slicing button , you can control the currently displayed slice by moving the mouse. By moving the mouse up and down, you control the currently selected Z-plane. By moving the mouse left and right, you control the currently seleted time point.

Windowing

After clicking the Windowing button , you can modify the brightness and contrast by moving the mouse. By moving the mouse up and down, you control window width of the range of displayed grey values (max - min). By moving the mouse left and right, you control the center of the grey value window.

Normal / default mode

Click the Default button to return to napari's normal mode.

This napari plugin was generated with Cookiecutter using with @napari's cookiecutter-napari-plugin template.

Installation

You can install napari-mouse-controls via pip:

pip install napari-mouse-controls

Contributing

Contributions are very welcome. Tests can be run with tox, please ensure the coverage at least stays the same before you submit a pull request.

License

Distributed under the terms of the BSD-3 license, "napari-mouse-controls" is free and open source software

Issues

If you encounter any problems, please create a thread on image.sc along with a detailed description and tag @haesleinhuepf.

Version:

  • 0.1.3

Last updated:

  • 01 January 2022

First released:

  • 30 October 2021

License:

Supported data:

  • Information not submitted

Plugin type:

GitHub activity:

  • Stars: 1
  • Forks: 1
  • Issues + PRs: 0

Python versions supported:

Operating system:

Requirements:

  • napari-plugin-engine (>=0.1.4)
  • numpy
  • napari
  • napari-tools-menu

Sign up to receive updates